ChemIdConvert - Chemical identifier conversion service

Base URL: /v1, Version: 1.0.0

This REST Api allows you to submit chemical identifiers in one format and translate it into another format (e.g. SMILES -> InChi)

Default response content-types: application/json
Schemes: http

Summary

Tag: default

Operation Description
GET /asSvg

Returns an svg text of the given molecule

GET /molWeight

Returns the molecular weight (calculated with rdkit)

Tag: SMILES, InChI

Operation Description
GET /smiles/to/inchi

Converts from a SMILES format into InChI format

GET /inchi/to/smiles

Converts from a InChI format into (canonical) SMILES format

Tag: InChI, InChIKey

Operation Description
GET /inchi/to/inchikey

Converts from a InChI format into InChIKey format

GET /inchikey/to/inchi

Converts from a InChIKey format into InChI format

Tag: SMILES, InChIKey

Operation Description
GET /smiles/to/inchikey

Converts from a SMILES format into InChIKey format

GET /inchikey/to/smiles

Converts from a InChIKey format into (canonical) SMILES format

Tag: SMILES, CAS

Operation Description
GET /smiles/to/cas

Converts from a SMILES format into a CAS number

GET /cas/to/smiles

Converts from a CAS number into (canonical) SMILES format

Tag: CAS, InChI

Operation Description
GET /inchi/to/cas

Converts from a InChI format into a CAS number

GET /cas/to/inchi

Converts from a CAS number into InChI format

Tag: CAS, InChIKey

Operation Description
GET /inchikey/to/cas

Converts from a InChIKey format into a CAS number

GET /cas/to/inchikey

Converts from a CAS number into InChIKey format

Paths

Returns an svg text of the given molecule

GET /asSvg

smiles

Compound structure notated using SMILES notation

query string (smiles) #/parameters/smiles
width

SVG image width

query integer 450
height

SVG image height

query integer 450

image/svg+xml

200 OK

Successfully created an svg represenatation

The text representation of the svg of the molecule

default

Unexpected error

Converts from a CAS number into InChI format

GET /cas/to/inchi

Tags: CAS, InChI

Converts from a CAS number into InChI. Only a single match is returned if there is an ambiguity in the conversion. The conversion is performed by using an external webservice and has relatively high latency.

cas

Compound structure notated as a CAS number (3 groups of numbers separated by dashes)

query string #/parameters/cas

Uses default content-types: application/json

200 OK #/responses/inchi

The converted InChI string

inchi: string

Compound structure notated using InChI notation

400 Bad Request

Invalid request (typically a mandatory parameter was missing or malformed)

500 Internal Server Error

Error in conversion by external webservice

504 Gateway Timeout

Upstream service timeout

default

Unexpected error

Converts from a CAS number into InChIKey format

GET /cas/to/inchikey

Tags: CAS, InChIKey

Converts from a CAS number into InChIKey. Only a single match is returned if there is an ambiguity in the conversion. The conversion is performed by using an external webservice and has relatively high latency.

cas

Compound structure notated as a CAS number (3 groups of numbers separated by dashes)

query string #/parameters/cas

Uses default content-types: application/json

200 OK #/responses/inchikey

The converted InChIKey string

inchikey: string

Compound structure notated using InChIKey

400 Bad Request

Invalid request (typically a mandatory parameter was missing or malformed)

500 Internal Server Error

Error in conversion by external webservice

504 Gateway Timeout

Upstream service timeout

default

Unexpected error

Converts from a CAS number into (canonical) SMILES format

GET /cas/to/smiles

Tags: SMILES, CAS

Converts from a CAS number into (canonical) SMILES. Only a single match is returned if there is an ambiguity in the conversion. The conversion is performed by using an external webservice and has relatively high latency.

cas

Compound structure notated as a CAS number (3 groups of numbers separated by dashes)

query string #/parameters/cas

Uses default content-types: application/json

200 OK #/responses/smiles

The converted SMILES string

smiles: string

Compound structure notated using (canonical) SMILES notation

400 Bad Request

Invalid request (typically a mandatory parameter was missing or malformed)

500 Internal Server Error

Error in conversion by external webservice

504 Gateway Timeout

Upstream service timeout

default

Unexpected error

Converts from a InChI format into a CAS number

GET /inchi/to/cas

Tags: CAS, InChI

Converts from a InChI format into a CAS number. Only a single match is returned if there is an ambiguity in the conversion. The conversion is performed by using an external webservice and has relatively high latency.

inchi

Compound structure notated using InChI notation

query string #/parameters/inchi

Uses default content-types: application/json

200 OK #/responses/cas

The converted CAS number (3 groups of numbers separated by dashes)

cas: string

Compound structure notated using a CAS number

400 Bad Request

Invalid request (typically a mandatory parameter was missing or malformed)

500 Internal Server Error

Error in conversion by external webservice

504 Gateway Timeout

Upstream service timeout

default

Unexpected error

Converts from a InChI format into InChIKey format

GET /inchi/to/inchikey

Tags: InChI, InChIKey

Converts from InChI format into InChIKey. The conversion is performed in process via rdkit.

inchi

Compound structure notated using InChI notation

query string #/parameters/inchi

Uses default content-types: application/json

200 OK #/responses/inchikey

The converted InChIKey string

inchikey: string

Compound structure notated using InChIKey

400 Bad Request

Invalid request (typically a mandatory parameter was missing or malformed)

default

Unexpected error

Converts from a InChI format into (canonical) SMILES format

GET /inchi/to/smiles

Tags: SMILES, InChI

Converts from InChI format into (canonical) SMILES. Only a single match is returned if there is an ambiguity in the conversion. The conversion is performed in process via rdkit.

inchi

Compound structure notated using InChI notation

query string #/parameters/inchi

Uses default content-types: application/json

200 OK #/responses/smiles

The converted SMILES string

smiles: string

Compound structure notated using (canonical) SMILES notation

400 Bad Request

Invalid request (typically a mandatory parameter was missing or malformed)

default

Unexpected error

Converts from a InChIKey format into a CAS number

GET /inchikey/to/cas

Tags: CAS, InChIKey

Converts from a InChIKey format into a CAS number. Only a single match is returned if there is an ambiguity in the conversion. The conversion is performed by using an external webservice and has relatively high latency.

inchikey

Compound structure notated using InChIKey notation

query string #/parameters/inchikey

Uses default content-types: application/json

200 OK #/responses/cas

The converted CAS number (3 groups of numbers separated by dashes)

cas: string

Compound structure notated using a CAS number

400 Bad Request

Invalid request (typically a mandatory parameter was missing or malformed)

500 Internal Server Error

Error in conversion by external webservice

504 Gateway Timeout

Upstream service timeout

default

Unexpected error

Converts from a InChIKey format into InChI format

GET /inchikey/to/inchi

Tags: InChI, InChIKey

Converts from InChIKey format into InChI. The conversion is performed by using an external webservice and has relatively high latency.

inchikey

Compound structure notated using InChIKey notation

query string #/parameters/inchikey

Uses default content-types: application/json

200 OK #/responses/inchi

The converted InChI string

inchi: string

Compound structure notated using InChI notation

400 Bad Request

Invalid request (typically a mandatory parameter was missing or malformed)

500 Internal Server Error

Error in conversion by external webservice

504 Gateway Timeout

Upstream service timeout

default

Unexpected error

Converts from a InChIKey format into (canonical) SMILES format

GET /inchikey/to/smiles

Tags: SMILES, InChIKey

Converts from InChIKey format into (canonical) SMILES. The conversion is performed by using an external webservice and has relatively high latency.

inchikey

Compound structure notated using InChIKey notation

query string #/parameters/inchikey

Uses default content-types: application/json

200 OK #/responses/smiles

The converted SMILES string

smiles: string

Compound structure notated using (canonical) SMILES notation

400 Bad Request

Invalid request (typically a mandatory parameter was missing or malformed)

500 Internal Server Error

Error in conversion by external webservice

504 Gateway Timeout

Upstream service timeout

default

Unexpected error

Returns the molecular weight (calculated with rdkit)

GET /molWeight

smiles

Compound structure notated using SMILES notation

query string (smiles) #/parameters/smiles

Uses default content-types: application/json

200 OK #/responses/molWeight

The molecular weight (caluclated with rdkit)

smiles: string

Compound structure notated using (canonical) SMILES notation

molWeight: number

The molecular weight (caluclated with rdkit)

default

Unexpected error

Converts from a SMILES format into a CAS number

GET /smiles/to/cas

Tags: SMILES, CAS

Converts from a SMILES format into a CAS number. Only a single match is returned if there is an ambiguity in the conversion. The conversion is performed by using an external webservice and has relatively high latency.

smiles

Compound structure notated using SMILES notation

query string (smiles) #/parameters/smiles

Uses default content-types: application/json

200 OK #/responses/cas

The converted CAS number (3 groups of numbers separated by dashes)

cas: string

Compound structure notated using a CAS number

400 Bad Request

Invalid request (typically a mandatory parameter was missing or malformed)

500 Internal Server Error

Error in conversion by external webservice

504 Gateway Timeout

Upstream service timeout

default

Unexpected error

Converts from a SMILES format into InChI format

GET /smiles/to/inchi

Tags: SMILES, InChI

Converts from a SMILES format into InChI format. Only a single match is returned if there is an ambiguity in the conversion. The conversion is performed in process via rdkit.

smiles

Compound structure notated using SMILES notation

query string (smiles) #/parameters/smiles

Uses default content-types: application/json

200 OK #/responses/inchi

The converted InChI string

inchi: string

Compound structure notated using InChI notation

400 Bad Request

Invalid request (typically a mandatory parameter was missing or malformed)

default

Unexpected error

Converts from a SMILES format into InChIKey format

GET /smiles/to/inchikey

Tags: SMILES, InChIKey

Converts from SMILES format into InChIKey. The conversion is performed in process via rdkit.

smiles

Compound structure notated using SMILES notation

query string (smiles) #/parameters/smiles

Uses default content-types: application/json

200 OK #/responses/inchikey

The converted InChIKey string

inchikey: string

Compound structure notated using InChIKey

400 Bad Request

Invalid request (typically a mandatory parameter was missing or malformed)

default

Unexpected error

Parameter definitions

smiles smiles

Compound structure notated using SMILES notation

query string (smiles)
inchi inchi

Compound structure notated using InChI notation

query string
inchikey inchikey

Compound structure notated using InChIKey notation

query string
cas cas

Compound structure notated as a CAS number (3 groups of numbers separated by dashes)

query string

Response definitions

inchi

The converted InChI string

inchi: string

Compound structure notated using InChI notation

smiles

The converted SMILES string

smiles: string

Compound structure notated using (canonical) SMILES notation

inchikey

The converted InChIKey string

inchikey: string

Compound structure notated using InChIKey

cas

The converted CAS number (3 groups of numbers separated by dashes)

cas: string

Compound structure notated using a CAS number

molWeight

The molecular weight (caluclated with rdkit)

smiles: string

Compound structure notated using (canonical) SMILES notation

molWeight: number

The molecular weight (caluclated with rdkit)

Schema definitions

simpleError: string